gr::dab::prune_impl Class Reference

cuts bits of start and end of a stream sequence More...

`#include <prune_impl.h>`

Inheritance diagram for gr::dab::prune_impl:
[legend]

## Public Member Functions

| prune_impl (size_t itemsize, unsigned int length, unsigned int prune_start, unsigned int prune_end)
| ~prune_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::prune
typedef std::shared_ptr< prune > | sptr
Static Public Member Functions inherited from gr::dab::prune
static sptr | make (size_t itemsize, unsigned int length, unsigned int prune_start, unsigned int prune_end)
| Return a shared_ptr to a new instance of dab::prune.

## Detailed Description

cuts bits of start and end of a stream sequence

cuts bits of start and end of a stream sequence like a vector prune, but in stream mode

Parameters

  d_length | length of stream sequence
  d_prune_start | number of items to cut from the beginning of sequence
  d_prune_end | number of items to cut from the end of the sequence

## Constructor & Destructor Documentation

## prune_impl()

gr::dab::prune_impl::prune_impl | ( | size_t | itemsize,
|  | unsigned int | length,
|  | unsigned int | prune_start,
|  | unsigned int | prune_end )

## ~prune_impl()

gr::dab::prune_impl::~prune_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::prune_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::prune_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- prune_impl.h